> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set project order

> Set the display order of the projects.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json put /projects/order
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/order:
    put:
      tags:
        - Projects
      summary: Set project order
      description: Set the display order of the projects.
      operationId: set_project_order
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ordered_ids
              properties:
                ordered_ids:
                  type: array
                  items:
                    type: string
              additionalProperties: false
      responses:
        '200':
          description: Projects in the new order
          content:
            application/json:
              schema:
                type: object
                properties:
                  projects:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type:
                            - string
                            - 'null'
                        sort_order:
                          type:
                            - number
                            - 'null'
                        created_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        updated_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        mcp_activated_at:
                          type:
                            - string
                            - 'null'
                          format: date-time
                      required:
                        - id
                        - name
                        - description
                        - sort_order
                        - created_at
                        - updated_at
                        - mcp_activated_at
                      additionalProperties: false
                required:
                  - projects
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.